Bug 104114 - memccpy has readahead issues on IA64
memccpy has readahead issues on IA64
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 101028
  Show dependency treegraph
 
Reported: 2003-09-09 21:08 EDT by Richard Offer
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: glibc-2.3.2-86
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 04:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
memccpy patch (3.96 KB, patch)
2003-09-09 21:09 EDT, Richard Offer
no flags Details | Diff
patch to spec file to apply memccpy patch (1.41 KB, patch)
2003-09-09 21:10 EDT, Richard Offer
no flags Details | Diff

  None (edit)
Description Richard Offer 2003-09-09 21:08:02 EDT
Description of problem:

memccpy can get segfaults during readahead on unmapped files.

Changes have been accepted into CVS today.

RCS file: /cvs/glibc/libc/ChangeLog,v
retrieving revision 1.7916
retrieving revision 1.7917
diff -u -r1.7916 -r1.7917
--- libc/ChangeLog	2003/09/09 20:10:35	1.7916
+++ libc/ChangeLog	2003/09/09 20:18:53	1.7917
@@ -1,3 +1,20 @@
+2003-09-09  Ulrich Drepper  <drepper@redhat.com>
+
+	* string/stratcliff.c (main): Check memccpy.
+
+2003-04-11  Jes Sorensen  <jes@wildopensource.com>
+
+	* sysdeps/ia64/memccpy.S: When recovering for src_aligned and the
+	character is found during recovery, use correct register when
+	determining the position of the found character.
+
+2003-04-01  Jes Sorensen  <jes@wildopensource.com>
+
+	* sysdeps/ia64/memccpy.S: Use speculatively loads for readahead to
+	avoid segfaults when reading from unmapped pages. For aligned
+	reload and continue, for misaligned, roll back and use byte copy.
+	Save ar.ec on entry and restore on exit.
+
Comment 1 Richard Offer 2003-09-09 21:09:33 EDT
Created attachment 94357 [details]
memccpy patch

backported from CVS to 2.3.2-63
Comment 2 Richard Offer 2003-09-09 21:10:35 EDT
Created attachment 94358 [details]
patch to spec file to apply memccpy patch

Adds patch and bumps release to -64

Note You need to log in before you can comment on or make changes to this bug.